## sablotron 0.90-3

=== debian/changelog ===
sablotron (0.90-3) unstable; urgency=low

  * Recompiled with g++ (GCC) 3.3.2 (Debian) to make a downgrade fix
    for the TKL packages http://www.indexdata.dk/tkl
    which trigger nasty bugs in sablotron version 0.98 and 1.0.1
  * Sablotron libraries are now renamed libsablot0c102 as they should,
    to satisfy dependencies of php4-xslt

 -- Marc Cromme <marc@indexdata.dk>  Wed, 21 Jan 2004 09:28:31 +0100

sablotron (0.90-2) unstable; urgency=low

  * Recompiled with g++ (GCC) 3.3.2 (Debian) to make a downgrade fix
    for the TKL packages http://www.indexdata.dk/tkl
    which trigger nasty bugs in sablotron version 0.98 and 1.0.1
  * Close php4-xslt version 4.1.2-6 bug at the same time, since
    sablotron libraries are NOT renamed libsablot0c102 as they should,
    but keep the name libsablot0 to satisfy broken dependency of
    php4-xslt

 -- Marc Cromme <marc@indexdata.dk>  Wed, 07 Jan 2004 13:44:11 +0100

sablotron (0.90-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Mon, 11 Mar 2002 20:20:51 +0100

sablotron (0.82-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Thu,  7 Feb 2002 11:55:38 +0100

sablotron (0.81-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Thu, 17 Jan 2002 20:30:25 +0100

sablotron (0.71-2) unstable; urgency=low

  * Linked libsablot.so.X with libstdc++.so, so that g++-3/libstdc++3 can be
    used. (Closes: Bug#124309) Thanks to Randolph Chung for reporting and
    providing the patch

 -- Fernando Sanchez <fer@debian.org>  Sun, 23 Dec 2001 07:50:18 +0100

sablotron (0.71-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Wed,  7 Nov 2001 17:39:48 +0100

sablotron (0.70.1-2) unstable; urgency=low

  * Recompiled against latest version of libexpat1 (Closes: Bug#117460)
  * Fixed SDOM_tmpListDump declaration in sdom.h, so that the header file
    can be used from C programs too.

 -- Fernando Sanchez <fer@debian.org>  Mon, 29 Oct 2001 10:12:25 +0100

sablotron (0.70.1-1) unstable; urgency=low

  * Applied upstream 0.70.1 maintenance patch

 -- Fernando Sanchez <fer@debian.org>  Thu, 11 Oct 2001 11:21:34 +0200

sablotron (0.70-2) unstable; urgency=low

  * Header file sxpath.h is now included in libsablot0-dev (Closes: Bug#114314)

 -- Fernando Sanchez <fer@debian.org>  Wed,  3 Oct 2001 14:55:23 +0200

sablotron (0.70-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Tue,  2 Oct 2001 19:18:56 +0200

sablotron (0.65.1-1) unstable; urgency=low

  * New upstream release, including 0.65.1 patch
  * Now libsablot0-dev depends on libexpat1-dev too (Closes: Bug#107886)

 -- Fernando Sanchez <fer@debian.org>  Tue, 11 Sep 2001 14:23:53 +0200

sablotron (0.60-4) unstable; urgency=low

  * Updated config.sub and config.guess from the libtool package ones, so
    that it compiles on hppa and ia64 (Closes: Bug#99374, Bug#103352)

 -- Fernando Sanchez <fer@debian.org>  Tue,  3 Jul 2001 21:02:01 +0200

sablotron (0.60-3) unstable; urgency=low

  * Applied Sablot-0.60.1.patch

 -- Fernando Sanchez <fer@debian.org>  Tue,  3 Jul 2001 19:11:20 +0200

sablotron (0.60-2) unstable; urgency=low

  * Modified libsablot0.shlibs so that it does not show package version
    anymore.

 -- Fernando Sanchez <fer@debian.org>  Wed, 27 Jun 2001 15:25:28 +0200

sablotron (0.60-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Fri, 15 Jun 2001 13:36:17 +0200

sablotron (0.52-2) unstable; urgency=low

  * Applied patch from Tom Kaiser to correct charset conversions problems
    (Closes: Bug#99001)

 -- Fernando Sanchez <fer@debian.org>  Wed, 30 May 2001 12:47:11 +0200

sablotron (0.52-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Tue, 17 Apr 2001 13:54:27 +0200

sablotron (0.51-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Wed, 28 Feb 2001 09:28:12 +0100

sablotron (0.50-3) unstable; urgency=low

  * Make sure that libsablot0 depends on libexpat1 (Closes: Bug#86625)

 -- Fernando Sanchez <fer@debian.org>  Mon, 19 Feb 2001 17:31:19 +0100

sablotron (0.50-2) unstable; urgency=low

  * Updated shlibs file for libsablot0 libs so that it shows 0.50 instead of
    0.44
  * Changed libxmltok1-dev with libexpat1-dev in Build-Depends field
  * Added simple man page generated with help2man
  * INSTALL document is no longer distributed with the package

 -- Fernando Sanchez <fer@debian.org>  Sat, 10 Feb 2001 14:06:17 +0100

sablotron (0.50-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Thu, 28 Dec 2000 13:00:38 +0100

sablotron (0.44-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Tue, 19 Sep 2000 12:42:41 +0200

sablotron (0.43-1) unstable; urgency=low

  * New upstream release
  * Added 'debhelper' to Build-Depends field so that buildd does not
    complain (closes: Bug#69775)

 -- Fernando Sanchez <fer@debian.org>  Fri, 25 Aug 2000 23:27:27 +0200

sablotron (0.42-1) unstable; urgency=low

  * New upstream release
  * Added Build-Depends entry in control file

 -- Fernando Sanchez <fer@debian.org>  Sat, 22 Jul 2000 10:44:36 +0200

sablotron (0.40-2) unstable; urgency=low

  * Commented BASE HREF in html documentation so that links work properly
    with local files (closes: Bug#66996)

 -- Fernando Sanchez <fer@debian.org>  Mon, 10 Jul 2000 23:21:24 +0200

sablotron (0.40-1) unstable; urgency=low

  * New upstream release. License changes to MPL+GPL
  * Added some documentation from Sablotron web site

 -- Fernando Sanchez <fer@debian.org>  Wed,  5 Jul 2000 01:03:25 +0200

sablotron (0.36-1) unstable; urgency=low

  * New upstream release

 -- Fernando Sanchez <fer@debian.org>  Fri,  9 Jun 2000 16:29:17 +0200

sablotron (0.35-1) unstable; urgency=low

  * Initial Release.


