=== debian/control ===
Source: sablotron
Priority: optional
Maintainer: Fernando Sanchez <fer@debian.org>
Build-Depends: libexpat1-dev, debhelper
Standards-Version: 3.5.6.0

Package: sablotron
Architecture: any
Section: text
Depends: libsablot0c102 (= ${Source-Version})
Description: an XSL processor fully implemented in C++
 Sablotron is an XSL processor fully implemented in C++.
 .
 The goal of this project is to create a reliable and
 fast XSLT processor conforming to the W3C specification, which is
 available for public and can be used as a base for multiplatform XML
 data distribution systems.
 .
 This package includes Sablotron binaries, which need libsablot0 to work.

Package: libsablot0-dev
Architecture: any
Section: devel
Depends: libsablot0c102 (= ${Source-Version}), libc6-dev, libexpat1-dev
Description: an XSL processor fully implemented in C++ [development]
 Sablotron is an XSL processor fully implemented in C++.
 .
 The goal of this project is to create a reliable and
 fast XSLT processor conforming to the W3C specification, which is
 available for public and can be used as a base for multiplatform XML
 data distribution systems.
 .
 This package includes Sablotron development libraries and include files.

Package: libsablot0c102
Architecture: any
Section: libs
Depends: libexpat1 (>= 1.95.1), ${shlibs:Depends}
Replaces: libsablot0
Conflicts: libsablot0
Description: an XSL processor fully implemented in C++
 Sablotron is an XSL processor fully implemented in C++.
 .
 The goal of this project is to create a reliable and
 fast XSLT processor conforming to the W3C specification, which is
 available for public and can be used as a base for multiplatform XML
 data distribution systems.
 .
 This package includes Sablotron runtime libraries, which are needed for
 Sablotron binaries to work.
