=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# shared library versions, option 1
version=0.90.0
major=0
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="-g -O2 -D_REENTRANT" CXXFLAGS="-g -O2 -D_REENTRANT" ./configure --prefix=/usr

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	# -rm -rf bin/ include/ lib/
	-make distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#cp bin/sabcmd `pwd`/debian/tmp/usr/bin
	#cp lib/libsablot.so.$(version) `pwd`/debian/tmp/usr/lib
	#ln -s libsablot.so.$(version) `pwd`/debian/tmp/usr/lib/libsablot.so
	#ln -s libsablot.so.$(version) `pwd`/debian/tmp/usr/lib/libsablot.so.$(major)
	#cp lib/libsablot.a `pwd`/debian/tmp/usr/lib
	#cp include/* `pwd`/debian/tmp/usr/include
	$(MAKE) install DESTDIR=`pwd`/debian/tmp/
	#ln -s libsablot.so.$(version) `pwd`/debian/tmp/usr/lib/libsablot.so.$(major)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	#
	# build libsablotron${major} package by moving files from sablotron-dev
	#
	dh_movefiles -plibsablot$(major)c102             \
	usr/lib/libsablot.so.$(major)        \
	usr/lib/libsablot.so.$(version)
	#
	dh_movefiles -plibsablot$(major)-dev	\
	usr/include/sablot.h	\
	usr/include/shandler.h	\
	usr/include/sxpath.h	\
	usr/lib/libsablot.a	\
	usr/lib/libsablot.la	\
	usr/lib/libsablot.so

#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages -psablotron
#	dh_installinfo
#	dh_undocumented sabcmd.1.gz
	dh_installchangelogs RELEASE
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
